net.minecraft.entity.ai

## Class EntityAITarget

- java.lang.Object
- - net.minecraft.entity.ai.EntityAIBase
  - - net.minecraft.entity.ai.EntityAITarget

- Direct Known Subclasses:
    EntityAIDefendVillage, EntityAIHurtByTarget, EntityAINearestAttackableTarget, EntityAIOwnerHurtByTarget, EntityAIOwnerHurtTarget

      public abstract class EntityAITarget
      extends EntityAIBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `shouldCheckSight`
    `protected EntityCreature` | `taskOwner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityAITarget(EntityCreature par1EntityCreature, boolean par2)`
    `EntityAITarget(EntityCreature par1EntityCreature, boolean par2, boolean par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `continueExecuting()`
    `protected double` | `getTargetDistance()`
    `protected boolean` | `isSuitableTarget(EntityLivingBase par1EntityLivingBase, boolean par2)`
    `void` | `resetTask()`
    `void` | `startExecuting()`

    - ### Methods inherited from class net.minecraft.entity.ai.EntityAIBase

      `getMutexBits, isInterruptible, setMutexBits, shouldExecute, updateTask`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### taskOwner

          protected EntityCreature taskOwner

    - #### shouldCheckSight

          protected boolean shouldCheckSight

  - ### Constructor Detail

    - #### EntityAITarget

          public EntityAITarget(EntityCreature par1EntityCreature,
                        boolean par2)

    - #### EntityAITarget

          public EntityAITarget(EntityCreature par1EntityCreature,
                        boolean par2,
                        boolean par3)

  - ### Method Detail

    - #### continueExecuting

          public boolean continueExecuting()

      Overrides:
        `continueExecuting` in class `EntityAIBase`

    - #### getTargetDistance

          protected double getTargetDistance()

    - #### startExecuting

          public void startExecuting()

      Overrides:
        `startExecuting` in class `EntityAIBase`

    - #### resetTask

          public void resetTask()

      Overrides:
        `resetTask` in class `EntityAIBase`

    - #### isSuitableTarget

          protected boolean isSuitableTarget(EntityLivingBase par1EntityLivingBase,
                                 boolean par2)